
function CheckSpecialCharacter( ply )
	
	-- Donations below
	
	local query = "SELECT `CustomModel`, `CustomModelName` FROM `tb_donations` WHERE `STEAMID` = '" .. ply:SteamID() .. "'";	
	local tab = mysql.query( TS.SQL, query );	
	
	if( tab and #tab > 0 and string.len( tab[1][1] ) > 6 ) then
	
		local model = tab[1][1];
		local name = tab[1][2];
		
		if( ply:Nick() == name ) then
		
			ply:SetModel( model );
		
		end
	
	end
	
	if( ply:Nick() == "Athena" and ply:SteamID() == "STEAM_0:1:13945583" ) then -- Mervill's AI
		
		ply:SetViewOffset( Vector( 0, 0, 0 ) );
		ply:SetViewOffsetDucked( Vector( 0, 0, 0 ) );
		
		ply:SendLua( [[RunConsoleCommand( "pp_colormod", "1" )]] );
		ply:SendLua( [[RunConsoleCommand( "pp_colormod_mulr", "255" )]] );
		
		ply:SetModel( "models/Combine_Scanner.mdl" );
		
		ply:SetMoveType( 4 );
		
	end
	
end


